org.licas.ws.soap

## Class LicasSoapConst

- java.lang.Object
- - org.licas.ws.soap.LicasSoapConst

- Direct Known Subclasses:
    SoapConst

      public class LicasSoapConst
      extends java.lang.Object

  This class stores basic types for local wsdl interactions. It is extended in the licas soap package.
  Author:
    Kieran Greer.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ANOTHERDIM` Indicate another dimension in an array.
    `static java.lang.String` | `ARRAYDIM` Indicate start of array dimension.
    `static java.lang.String` | `ARRAYOF` Indicate an array.
    `static java.lang.String` | `ENDDIM` Indicate end of array dimension.
    `static java.lang.String` | `SEP` Prefix separator tag.
    `static java.lang.String` | `TYPE` Indicate a type.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LicasSoapConst()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final java.lang.String TYPE

      Indicate a type.
      See Also:
        Constant Field Values

    - #### ARRAYOF

          public static final java.lang.String ARRAYOF

      Indicate an array.
      See Also:
        Constant Field Values

    - #### ARRAYDIM

          public static final java.lang.String ARRAYDIM

      Indicate start of array dimension.
      See Also:
        Constant Field Values

    - #### ENDDIM

          public static final java.lang.String ENDDIM

      Indicate end of array dimension.
      See Also:
        Constant Field Values

    - #### ANOTHERDIM

          public static final java.lang.String ANOTHERDIM

      Indicate another dimension in an array.
      See Also:
        Constant Field Values

    - #### SEP

          public static final java.lang.String SEP

      Prefix separator tag.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LicasSoapConst

          public LicasSoapConst()